Name:           cycle
Version:        0.3.1
Release:        21%{?dist}
Summary:        Calendar program for women
Group:          Applications/Productivity
License:        GPLv2+
URL:            http://cycle.sourceforge.net
Source0: http://prdownloads.sourceforge.net/cycle/cycle-%{version}.tar.bz2
# the below file collects additions from the Debian package
# source for that could be Debian page of cycle package
# http://packages.debian.org/unstable/utils/cycle
Source1:        cycle-msg.tar.bz2
Source2:        cycle-export.png
Source3:        cycle.desktop
Patch0:         cycle-build.patch.bz2
Patch1:         07_wxpython3.0.patch
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       wxPython
BuildRequires:  python-devel >= 2.3, gettext,desktop-file-utils

%description
Cycle is a calendar for women. Given a cycle length or statistics
for several periods, it can calculate the days until
menstruation, the days of "safe" sex, the fertile period, and the
days to ovulations, and define the d.o.b. of a child. It allows
the user to write notes and helps to supervise the administration
of hormonal contraceptive tablets.

Multiple users allowed. Data is protected by a password for every
user.

NOTE: This program is not a reliable contraceptive method. It
does neither help to prevent sexual transmision diseases like
AIDS. It is just an electronic means of keeping track of some of
your medical data and extract some statistical conclusions from
them. You cannot consider this program as a substitute for your
gynecologist in any way.

%description -l ru_RU.UTF-8
    Возможности программы:
- по заданной продолжительности цикла или по набранной статистике
  за несколько периодов спрогнозировать дни начала менструаций
- рассчитать дни "безопасного" секса, фертильный период и день овуляции
- определить дату рождения ребенка
- позволяет вести заметки
- помогает контролировать прием противозачаточных гормональных
  таблеток

%prep
%setup0 -q
%setup -D -a 1 -q
%patch0 -p1 -b .MC-build
%if 0%{?fedora} >= 22
%patch1 -p1 -b .07_wxpython3.0
%endif

rm README.Debian

%build
python setup.py build
make -C msg

%if (0%{?fedora} && 0%{?fedora} < 20) || 0%{?rhel} < 8
%global docval %_docdir/%name-%version
%else
%global docval %{_docdir}
%endif

#---- set_dir.py ----
cat >set_dir.py <<EOF
#generated from cycle.spec
msg_dir="%_datadir/locale"
doc_dir="%{?docval}"
icons_dir="%_datadir/%name/icons"
bitmaps_dir="%_datadir/%name/bitmaps"
EOF

%install
rm -rf $RPM_BUILD_ROOT

# data files
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/{pixmaps,bitmaps}
install -p -m a+r,u+w icons/cycle.xpm \
    $RPM_BUILD_ROOT%{_datadir}/cycle/pixmaps/
install -p -m a+r,u+w bitmaps/* $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/
install -p -m a+r,u+w %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/export.png
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/icons/{large,mini}
cp -r -p icons/* $RPM_BUILD_ROOT%{_datadir}/cycle/icons/
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/applications/
install -p -m a+r,u+w %{SOURCE3} \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Python libraries
install -p -m a+rx,u+w cycle.py $RPM_BUILD_ROOT%{_datadir}/cycle/
install -p -m a+r,u+w cal_year.py dialogs.py p_rotor.py \
    save_load.py set_dir.py \
    $RPM_BUILD_ROOT%{_datadir}/cycle/

# cycle binary
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_bindir}
ln -sf ../share/cycle/cycle.py $RPM_BUILD_ROOT%{_bindir}/cycle
make -C msg install DESTDIR=$RPM_BUILD_ROOT%{_datadir}/

# manpage
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m a+r,u+w cycle.1 $RPM_BUILD_ROOT%{_mandir}/man1/

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name} || touch %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/cycle
%doc README* COPYRIGHT CHANGELOG THANKS
%{_datadir}/cycle/
%{_datadir}/applications/cycle.desktop
%{_mandir}/man1/cycle*


%changelog
* Fri Mar 11 2016 Matěj Cepl <mcepl@redhat.com> - 0.3.1-21
- Make ladies using F22 happy as well.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 04 2015 Matěj Cepl <mcepl@redhat.com> - 0.3.1-19
- Bump the release, there already is -18 in F23

* Fri Dec 04 2015 Matěj Cepl <mcepl@redhat.com> - 0.3.1-18
- Make the package buildable on recent Fedoras with wxPython 3.* (#1190942)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 09 2013 Jon Ciesla <limburgher@gmail.com> - 0.3.1-16
- Fix docdir in set_dir.py, BZ 993716.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.3.1-14
- Drop desktop vendor tag.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.1-10
- recompiling .py files against Python 2.7 (rhbz#623284)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.1-7
- Rebuild for Python 2.6

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.1-6
- fix license tag

* Fri May  4 2007 Matej Cepl <mcepl@redhat.com> - 0.3.1-5
- added information about source of Debian files.

* Tue Apr  3 2007 Matej Cepl <mcepl@redhat.com> - 0.3.1-4
- changed BuildRoot to more sane value, now it is allowed.

* Thu Feb  1 2007 Matěj Cepl <mcepl@redhat.com> 0.3.1-3
- don't gzip manpage -- rpmbuild does it automagically
- category should be Application/Productivity (or
  non-Productivity in this case, but that's not included into RH
  standards :-))
- generate set_dir.py (according to the upstream .spec file)
- fixed cs.po

* Wed Jan 31 2007 Matěj Cepl <mcepl@redhat.com> 0.3.1-2
- fixed missing files in %%doc
- fixed Description
- added manpage
- fixed .desktop file

* Sat Jan 6 2007 Matěj Cepl <mcepl@redhat.com> 0.3.1-1
- Initial build based on Debian package cycle_0.3.1-6
